<template>
  <div class="mt-5">
    <v-card>
      <v-card-text>
        <v-row>
          <v-col cols="12" md="4" col>
            <v-text-field
              label="ชื่อรูป *** Ex. 20210125เพื่อนครัว ***"
              placeholder="กรอกชื่อรูป"
              v-model="imageObj.imageName"
              outlined
              
            ></v-text-field>
          </v-col>
          <v-col cols="12" md="8">
            <v-file-input
              outlined
              show-size
              label="เลือกไฟล์"
              v-model="imageObj.imageFile"
              filled
              accept="image/png, image/jpeg, image/bmp"
              prepend-icon="mdi-camera"
              
            >
              <template v-slot:append-outer>
                <v-menu style="top: -20px">
                  <template v-slot:activator="{ attrs }">
                    <v-btn
                      v-bind="attrs"
                      color="green accent-4"
                      @click="uploadFile"
                    >
                      <v-icon left> mdi-cloud-upload-outline </v-icon>
                      อัพโหลด
                    </v-btn>
                  </template>
                </v-menu>
              </template>
            </v-file-input>
          </v-col>
        </v-row>
      </v-card-text>
    </v-card>
  </div>
</template>
<script>
import Swal from 'sweetalert2'

export default {
  components: {},
  data() {
    return {
      imageObj: {
        imageFile: null,
        imageName: null,
      },
    }
  },
  computed: {},
  mounted() {},
  methods: {
    uploadFile() {
      if (this.imageObj.imageName  === null || this.imageObj.imageFile === null) {
        Swal.fire({
          icon: 'error',
          title: 'อุ๊ปส...',
          text: 'กรุณาหรอกชื่อ และเลือกรูปภาพให้เรียบร้อย!',
        })
      } else {
        this.$store
          .dispatch('addImage', { imageObj: this.imageObj })
          .then((res) => {
            this.imageObj.imageFile = null
            this.imageObj.imageName = null

            const Toast = Swal.mixin({
              toast: true,
              position: 'top',
              showConfirmButton: false,
              timer: 2000,
              timerProgressBar: true,
              didOpen: (toast) => {
                toast.addEventListener('mouseenter', Swal.stopTimer)
                toast.addEventListener('mouseleave', Swal.resumeTimer)
              },
            })
            Toast.fire({
              icon: 'success',
              title: 'อัพโหลดสำเร็จ',
            })
          })
          .catch((error) => {
            setTimeout(() => {
              console.log('Error In Cilent:', error.code)
            }, 2000)
          })
      }
    },
  },
}
</script>
<style scoped>
.v-icon {
  cursor: pointer;
}
.elevation-1.text {
  font-size: 40em;
}
.v-input__slot {
  margin-top: 8px;
}
</style>
